from flask import Flask, jsonify

from watermark_verify.exceptions import BusinessException
from watermark_verify import verify_tool


def create_app():
    app = Flask(__name__)

    @app.errorhandler(BusinessException)
    def handle_business_exception(ex):
        """处理业务异常，返回JSON提示"""
        return jsonify({"message": ex.message, 'code': ex.code}), 500

    @app.route("/decrypt_model", methods=['POST'])
    def detect_watermark():
        # TODO 根据工标需要进行HTTP接口开发
        verify_tool.label_verification(model_filename='')
        return "Hello World!"

    return app
